package cn.ibizlab.eam.core.eam_core.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.eam.core.eam_core.domain.EMDisableAssess;
import cn.ibizlab.eam.core.eam_core.filter.EMDisableAssessSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[EMDisableAssess] 服务对象接口
 */
public interface IEMDisableAssessService extends IService<EMDisableAssess>{

    boolean checkKey(EMDisableAssess et) ;
    EMDisableAssess getDraft(EMDisableAssess et) ;
    boolean update(EMDisableAssess et) ;
    void updateBatch(List<EMDisableAssess> list) ;
    boolean create(EMDisableAssess et) ;
    void createBatch(List<EMDisableAssess> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    boolean save(EMDisableAssess et) ;
    void saveBatch(List<EMDisableAssess> list) ;
    EMDisableAssess get(String key) ;
    Page<EMDisableAssess> searchDefault(EMDisableAssessSearchContext context) ;
    List<EMDisableAssess> selectByPfteamid(String pfteamid) ;
    void removeByPfteamid(String pfteamid) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<EMDisableAssess> getEmdisableassessByIds(List<String> ids) ;
    List<EMDisableAssess> getEmdisableassessByEntities(List<EMDisableAssess> entities) ;

}


